org.apache.struts2.jasper.util

## Class Enumerator

- java.lang.Object
- - org.apache.struts2.jasper.util.Enumerator

- All Implemented Interfaces:
    Enumeration

      public final class Enumerator
      extends Object
      implements Enumeration

  Adapter class that wraps an `Enumeration` around a Java2 collection classes object `Iterator` so that existing APIs returning Enumerations can easily run on top of the new collections. Constructors are provided to easliy create such wrappers.
  Version:
    $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
  Author:
    Craig R. McClanahan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Enumerator(Collection collection)` Return an Enumeration over the values of the specified Collection.
    `Enumerator(Collection collection, boolean clone)` Return an Enumeration over the values of the specified Collection.
    `Enumerator(Iterator iterator)` Return an Enumeration over the values returned by the specified Iterator.
    `Enumerator(Iterator iterator, boolean clone)` Return an Enumeration over the values returned by the specified Iterator.
    `Enumerator(Map map)` Return an Enumeration over the values of the specified Map.
    `Enumerator(Map map, boolean clone)` Return an Enumeration over the values of the specified Map.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasMoreElements()` Tests if this enumeration contains more elements.
    `Object` | `nextElement()` Returns the next element of this enumeration if this enumeration has at least one more element to provide.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Enumerator

          public Enumerator(Collection collection)

      Return an Enumeration over the values of the specified Collection.
      Parameters:
        `collection` - Collection whose values should be enumerated

    - #### Enumerator

          public Enumerator(Collection collection,
                            boolean clone)

      Return an Enumeration over the values of the specified Collection.
      Parameters:
        `collection` - Collection whose values should be enumerated
        `clone` - true to clone iterator

    - #### Enumerator

          public Enumerator(Iterator iterator)

      Return an Enumeration over the values returned by the specified Iterator.
      Parameters:
        `iterator` - Iterator to be wrapped

    - #### Enumerator

          public Enumerator(Iterator iterator,
                            boolean clone)

      Return an Enumeration over the values returned by the specified Iterator.
      Parameters:
        `iterator` - Iterator to be wrapped
        `clone` - true to clone iterator

    - #### Enumerator

          public Enumerator(Map map)

      Return an Enumeration over the values of the specified Map.
      Parameters:
        `map` - Map whose values should be enumerated

    - #### Enumerator

          public Enumerator(Map map,
                            boolean clone)

      Return an Enumeration over the values of the specified Map.
      Parameters:
        `map` - Map whose values should be enumerated
        `clone` - true to clone iterator

  - ### Method Detail

    - #### hasMoreElements

          public boolean hasMoreElements()

      Tests if this enumeration contains more elements.
      Specified by:
        `hasMoreElements` in interface `Enumeration`
      Returns:
        `true` if and only if this enumeration object contains at least one more element to provide, `false` otherwise

    - #### nextElement

          public Object nextElement()
                             throws NoSuchElementException

      Returns the next element of this enumeration if this enumeration has at least one more element to provide.
      Specified by:
        `nextElement` in interface `Enumeration`
      Returns:
        the next element of this enumeration
      Throws:
        `NoSuchElementException` - if no more elements exist

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.